Class GenerateAndDownloadRequestBuilder
- Namespace
- Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.Clients.Item.Certificates.Item.GenerateAndDownload
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\clients{client-uuid}\certificates{attr}\generate-and-download
public class GenerateAndDownloadRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderGenerateAndDownloadRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
GenerateAndDownloadRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new GenerateAndDownloadRequestBuilder and sets the default values.
public GenerateAndDownloadRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
GenerateAndDownloadRequestBuilder(string, IRequestAdapter)
Instantiates a new GenerateAndDownloadRequestBuilder and sets the default values.
public GenerateAndDownloadRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Methods
PostAsync(KeyStoreConfig, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Generate a new keypair and certificate, and get the private key fileGenerates a keypair and certificate and serves the private key in a specified keystore format.Only generated public certificate is saved in Keycloak DB - the private key is not.
public Task<Stream?> PostAsync(KeyStoreConfig body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
bodyKeyStoreConfigThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToPostRequestInformation(KeyStoreConfig, Action<RequestConfiguration<DefaultQueryParameters>>?)
Generate a new keypair and certificate, and get the private key fileGenerates a keypair and certificate and serves the private key in a specified keystore format.Only generated public certificate is saved in Keycloak DB - the private key is not.
public RequestInformation ToPostRequestInformation(KeyStoreConfig body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
bodyKeyStoreConfigThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public GenerateAndDownloadRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.